如何添加GL library

为当前最终发行版之前的所有版本提供支持
回复
abcsai
帖子: 10
注册时间: 2010-11-22 21:54
送出感谢: 0
接收感谢: 1 次

如何添加GL library

#1

帖子 abcsai » 2011-03-20 21:29

因为要编译点东西。所以出现了如下命令问题
运行命令:
./configure ; make install

到最后出现的结果就是erro。悲剧啊…… :em20

上面掠过一些代码错误如下:

checking for IceConnectionNumber in -lICE... yes
checking for pthread_create in -lpthread... no
checking for glNewList in -lGL... no
checking for glNewList in -lMesaGL... no
configure: error: could not find working GL library
make: *** 没有规则可以创建目标“install”。 停止。
:em01
我是经过很多搜索之后才上来求教的。各位大大们,希望帮帮我吧。
我觉得是缺少了一个交OpenGL的库。但是新立得里面没有直接写出相关的下载包。 :em06
大大们,这个到底要如何解决呢? :em20
我只是个新手……我真的是个菜鸟……
ltkun
帖子: 1335
注册时间: 2006-01-10 19:09
送出感谢: 0
接收感谢: 0

Re: 如何添加GL library

#2

帖子 ltkun » 2011-03-20 22:14

abcsai
帖子: 10
注册时间: 2010-11-22 21:54
送出感谢: 0
接收感谢: 1 次

Re: 如何添加GL library

#3

帖子 abcsai » 2011-03-26 14:28


实在是太感谢你了。解决的命令是
sudo apt-get install freeglut3-dev libglut3-dev
sudo apt-get install libxmu-dev libxmu6
sudo ln -s /usr/lib/libGL.so.1 /usr/lib/libGL.so
sudo ln -s /usr/lib/libGLU.so.1 /usr/lib/libGLU.so
sudo ln -s /usr/lib/libXi.so.6 /usr/lib/libXi.so
我只是个新手……我真的是个菜鸟……
abcsai
帖子: 10
注册时间: 2010-11-22 21:54
送出感谢: 0
接收感谢: 1 次

Re: 如何添加GL library

#4

帖子 abcsai » 2011-03-26 14:46


这位大大,还能麻烦你一下么?因为进行make命令的时候出现问题了。不知道该怎么样去googel :em06
麻烦你了 :em06
主要代码如下:

代码: 全选

Making install in src
make[1]: 正在进入目录 `/home/sai/下载/plib-1.8.5/src'
Making install in util
make[2]: 正在进入目录 `/home/sai/下载/plib-1.8.5/src/util'
source='ul.cxx' object='ul.o' libtool=no \
	DEPDIR=.deps depmode=none /bin/bash ../../depcomp \
	g++ -DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"plib\" -DVERSION=\"1.8.5\" -DHAVE_LIBPTHREAD=1 -DHAVE_LIBGL=1 -DHAVE_LIBDL=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -I. -I.     -Wall -c -o ul.o ul.cxx
../../depcomp: 第 512 行: exec: g++: 未找到
make[2]: *** [ul.o] 错误 127
make[2]:正在离开目录 `/home/sai/下载/plib-1.8.5/src/util'
make[1]: *** [install-recursive] 错误 1
make[1]:正在离开目录 `/home/sai/下载/plib-1.8.5/src'
make: *** [install-recursive] 错误 1
麻烦你啦…… :em01
我只是个新手……我真的是个菜鸟……
头像
allarem
帖子: 1025
注册时间: 2008-05-31 17:27
来自: SUES
送出感谢: 0
接收感谢: 0
联系:

Re: 如何添加GL library

#5

帖子 allarem » 2011-03-28 0:45

没有装build-essential
abcsai
帖子: 10
注册时间: 2010-11-22 21:54
送出感谢: 0
接收感谢: 1 次

Re: 如何添加GL library

#6

帖子 abcsai » 2011-04-04 12:32

allarem 写了:没有装build-essential
实在是太感谢你了。通过在新立得安装build-essential软件包。上面的问题解决了。实在是太感谢你了。 :em01
我只是个新手……我真的是个菜鸟……
abcsai
帖子: 10
注册时间: 2010-11-22 21:54
送出感谢: 0
接收感谢: 1 次

Re: 如何添加GL library

#7

帖子 abcsai » 2011-04-08 23:53

allarem 写了:没有装build-essential

这位大大,请问这个缺失的lua是不是在QT里面自带的库呢?但是我的qt是用小熊猫安装的。不知道现在改怎么去安装lua呢?
图片
我只是个新手……我真的是个菜鸟……
回复

回到 “老旧版本支持”